#!/usr/bin/python

import sys
import gtk
import report
import report.io
import report.io.GTKIO
import report.accountmanager

class MainWindow:

    def close_application(self, widget):
        gtk.main_quit()

    def do_report(self, widget):
        signature = report.createAlertSignature("fastback", 
                                                "fastbacktest", 
                                                "thisisafakehashvalue",
                                                "this is just a test", 
                                                "really just a test")

        rc = report.report(signature, report.io.GTKIO.GTKIO(report.accountmanager.AccountManager()))

        gtk.main_quit()

    def __init__(self):

        self.window = gtk.Window(gtk.WINDOW_TOPLEVEL)
        self.window.set_resizable(True)  
        self.window.connect("destroy", self.close_application)
        self.window.set_title("getfields example")
        self.window.set_border_width(0)


        box1 = gtk.VBox(False, 10)
        box1.set_border_width(10)
        self.window.add(box1)
        box1.show()

        button = gtk.Button("report")
        button.connect("clicked", self.do_report)
        box1.pack_start(button, True, True, 0)
        button.set_flags(gtk.CAN_DEFAULT)
        button.grab_default()
        button.show()

        self.window.show()


def main():
    MainWindow()
    gtk.main()
    return 0

if __name__ == "__main__":
    main()

